<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Image Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Image.html">Ogre::Image</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#b4681974e712d9701c9396e98c6eb07d">applyGamma</a>(uchar *buffer, Real gamma, size_t size, uchar bpp)</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#bd443d16124b2b012b77a282f2af909a">Box</a> typedef</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#d53d6f2143390c7e0c600ba68885104f">calculateSize</a>(size_t mipmaps, size_t faces, size_t width, size_t height, size_t depth, PixelFormat format)</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d5">Filter</a> enum name</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d50f429c684c4f0e599f9a15304205c233">FILTER_BICUBIC</a> enum value</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d54d66afbe9239683a6fb6b90edb1611b5">FILTER_BILINEAR</a> enum value</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d5c05b8d3ad728faf2b99a2c3a8c9ed03c">FILTER_BOX</a> enum value</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d54bd7e862129bad718a43406a38716a46">FILTER_LINEAR</a> enum value</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d57ef2addab7f4ada3d9892979c0b309ca">FILTER_NEAREST</a> enum value</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d5100906ef66a390179993687a1975025d">FILTER_TRIANGLE</a> enum value</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#bc1b4d115f77212e4569d7e6ac815431">flipAroundX</a>()</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#73e8b6002bc5c1b269bee49fa8c656c2">flipAroundY</a>()</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#1cb5ea73228131da66c5a57fac2834f7">getBPP</a>() const </td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#ba78705a174783378b065ed0de871383">getColourAt</a>(int x, int y, int z)</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#03cc0979349f9bc0265a5874b57ea184">getData</a>(void)</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#e23cbe1cb7705d9799785d0b43bfc5cf">getData</a>() const </td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#fb4c5a7b87334c4e7476c852d1121910">getDepth</a>(void) const </td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#de5a8a16f5e847de921045ebb97a70e8">getFormat</a>() const </td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#4224332770c9c30b64e908b44a789fcd">getHasAlpha</a>() const </td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#bdc3383a6f6d68eda727c5d43ce067e8">getHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#c887a554b7cb5abbb7b77b6c62075275">getNumFaces</a>(void) const </td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#ad1f93ad3ba0a9d5c51bbce1c93453ec">getNumMipmaps</a>() const </td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#eff45f8c905111e460abb48a96be7f9e">getPixelBox</a>(size_t face=0, size_t mipmap=0) const </td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#f458417a1a2ab38e5591851b579ad3cb">getRowSpan</a>(void) const </td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#a75a5efe06c0a688cb0ffcb34cedbb7f">getSize</a>() const </td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#4d21f6945e083b7af9321527320a3762">getWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#e2f8502c13f02ad085aa3b1a5e826f91">hasFlag</a>(const ImageFlags imgFlag) const </td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#52fa85f905c638964c805b3d49d2c383">Image</a>()</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#4285ffbb1d7edb6cd969d0be0971bfc2">Image</a>(const Image &amp;img)</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#8696e6097310fc2c6d0e9fd20aebacf5">load</a>(const String &amp;strFileName, const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#f47461603b9b019d6f1b3c169d9f995e">load</a>(DataStreamPtr &amp;stream, const String &amp;type)</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#5216235925e6373c0f5083da1e079c1a">loadDynamicImage</a>(uchar *pData, size_t uWidth, size_t uHeight, size_t depth, PixelFormat eFormat, bool autoDelete=false, size_t numFaces=1, size_t numMipMaps=0)</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#e37a81baaff4cf558c85a7391731eb8c">loadDynamicImage</a>(uchar *pData, size_t uWidth, size_t uHeight, PixelFormat eFormat)</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#34f63a18e0f76a06b4241176359ada3e">loadRawData</a>(DataStreamPtr &amp;stream, size_t uWidth, size_t uHeight, size_t uDepth, PixelFormat eFormat, size_t numFaces=1, size_t numMipMaps=0)</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#7c48c4bc51b8f881be4be863b5a83d80">loadRawData</a>(DataStreamPtr &amp;stream, size_t uWidth, size_t uHeight, PixelFormat eFormat)</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#0e67b8bdc3b6094050ac0b8edc3f4fa1">m_bAutoDelete</a></td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#40297fc2c86fd928d7033aac6cae7f9a">m_eFormat</a></td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#f88804fc8a2e823f04b583989e11b6d4">m_pBuffer</a></td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#ae00af420e61849ced96e65843ff0b28">m_ucPixelSize</a></td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#ef0a230b9ae302382eaca003f93df33c">m_uDepth</a></td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#f32565a11978398078f8ddce460a620a">m_uFlags</a></td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#45511cf9bc3844d319ff75a8a5ae609b">m_uHeight</a></td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#8c4ae301ef3c6b38ac8df411f5059a40">m_uNumMipmaps</a></td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#254da9ca80cfb6111f1122f840a7cb13">m_uSize</a></td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#77383eae76add5c3d30382864dff46d0">m_uWidth</a></td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#69d732e215cba117bf93e0e7b5d1332a">operator=</a>(const Image &amp;img)</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#acf1f2552048b7c6d5e94d6746d9186b">Rect</a> typedef</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#67a00ee3969db8f5255d2485e3599f03">resize</a>(ushort width, ushort height, Filter filter=FILTER_BILINEAR)</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#611359a16f40f5c18bd937acd33e27c2">save</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#defc5ec16de7ea09fca1c5bbe6782a4c">scale</a>(const PixelBox &amp;src, const PixelBox &amp;dst, Filter filter=FILTER_BILINEAR)</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Image.html#d0d9eb6c85932db89f62a048995aa495">~Image</a>()</td><td><a class="el" href="classOgre_1_1Image.html">Ogre::Image</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:04 2008
</p>
</body>
</html>
